## Piratux_usplash.zip

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

usplash-theme-piraten.so: throbber_back.png.c.o throbber_back_16.png.c.o throbber_fore.png.c.o throbber_fore_16.png.c.o \
						 throbber_back_32.png.c.o throbber_fore_32.png.c.o \
						 usplash_300_200.png.c.o usplash_400_300.png.c.o usplash_600_500.png.c.o \
						 usplash-theme-ubuntu.c.o
	$(COMPILE) -shared -o $@ $^

%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) usplash-theme-piraten.so $(DESTDIR)/usr/lib/usplash/usplash-theme-piraten.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-piraten (0.7) jaunty; urgency=low

  * Further corrected positions

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 21 Jun 2009 17:04:23 +0100

usplash-theme-piraten (0.6) jaunty; urgency=low

  * Further corrected positions

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 21 Jun 2009 16:33:12 +0100

usplash-theme-piraten (0.5) jaunty; urgency=low

  * Further corrected text positions

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 20 Jun 2009 21:47:38 +0100

usplash-theme-piraten (0.4) jaunty; urgency=low

  * Resized images

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 19 Jun 2009 18:46:29 +0100

usplash-theme-piraten (0.3) jaunty; urgency=low

  * Corrected text positions

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 18 Jun 2009 19:53:24 +0100

usplash-theme-piraten (0.2) jaunty; urgency=low

  * Updated images

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 18 Jun 2009 19:22:31 +0100

usplash-theme-piraten (0.1) jaunty; urgency=low

  * first version, based on usplash-theme-ubuntu (0.23)

 -- Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>  Wed, 03 Jun 2009 17:40:00 +0100

=== debian/control ===
Source: usplash-theme-piraten
Priority: optional
Section: misc
Maintainer: Daniel Raedel <Daniel.Raedel@piratenpartei-hamburg.de>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 5.0.0), libusplash-dev (>= 0.5.30)
Vcs-Bzr: http://bazaar.launchpad.net/%7Eubuntu-core-dev/usplash-theme-ubuntu/ubuntu/

Package: usplash-theme-piraten
Architecture: any
Depends: ${shlibs:Depends}, initramfs-tools (>= 0.40ubuntu30), usplash (>= 0.5.30)
Description: Usplash theme for Ubuntu
 Usplash theme for Ubuntu

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS

CFLAGS = -g -Wall

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

# Build the package
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

# Install files
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-piraten

binary: binary-indep binary-arch

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Clean up the mess we made
clean:
	dh_testdir
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

.PHONY: build install binary-indep binary-arch binary clean
